MemoryProtocolHandler (Tomcat API Documentation)
Keywords: org.apache.coyote.memory.MemoryProtocolHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.memory
Class MemoryProtocolHandler

    java.lang.Object
      org.apache.coyote.memory.MemoryProtocolHandler

All Implemented Interfaces:
  ProtocolHandler

    public class MemoryProtocolHandler

extends java.lang.Object
implements ProtocolHandler

Abstract the protocol implementation, including threading, etc. Processor is single threaded and specific to stream-based protocols, will not fit Jk protocols like JNI.

Author:
  Remy Maucherat

Nested Class Summary
`protected class` | `MemoryProtocolHandler.ByteChunkInputBuffer`
`protected class` | `MemoryProtocolHandler.ByteChunkOutputBuffer`

Field Summary
`protected Adapter` | `adapter` Associated adapter.

Constructor Summary
`MemoryProtocolHandler()`

Method Summary
`void` | `destroy()`
`Adapter` | `getAdapter()`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Iterator` | `getAttributeNames()`
`void` | `init()` Init the protocol.
`void` | `pause()` Pause the protocol (optional).
`void` | `process(Request request, ByteChunk input, Response response, ByteChunk output)` Process specified request.
`void` | `resume()` Resume the protocol (optional).
`void` | `setAdapter(Adapter adapter)` The adapter, used to call the connector.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Pass config info.
`void` | `start()` Start the protocol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapter

    protected Adapter adapter

  Associated adapter.

Constructor Detail

### MemoryProtocolHandler

    public MemoryProtocolHandler()

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Pass config info.

  Specified by:
    `setAttribute` in interface `ProtocolHandler`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `ProtocolHandler`

### getAttributeNames

    public java.util.Iterator getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `ProtocolHandler`

### setAdapter

    public void setAdapter(Adapter adapter)

  The adapter, used to call the connector.

  Specified by:
    `setAdapter` in interface `ProtocolHandler`

### getAdapter

    public Adapter getAdapter()

  Specified by:
    `getAdapter` in interface `ProtocolHandler`

### init

    public void init()
              throws java.lang.Exception

  Init the protocol.

  Specified by:
    `init` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Start the protocol.

  Specified by:
    `start` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### pause

    public void pause()
               throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Pause the protocol (optional).

  Specified by:
    `pause` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### resume

    public void resume()
                throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Resume the protocol (optional).

  Specified by:
    `resume` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Specified by:
    `destroy` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### process

    public void process(Request request,
                        ByteChunk input,
                        Response response,
                        ByteChunk output)
                 throws java.lang.Exception

  Process specified request.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.